import 'package:plugin_platform_interface/plugin_platform_interface.dart';
import 'aliyun_oss_platform_interface.dart';

export 'src/method_channel_aliyun_oss.dart';
export 'src/model/export_model.dart';

class AliyunOSSPlatform extends PlatformInterface {
  AliyunOSSPlatform() : super(token: _token);

  static final Object _token = Object();

  static AliyunOSSPlatform _instance = MethodChannelAliyunOSS();
  static AliyunOSSPlatform get instance => _instance;

  static set instance(AliyunOSSPlatform instance) {
    PlatformInterface.verify(instance, _token);
    _instance = instance;
  }

  calculateMd5(String filePath) {
    throw UnimplementedError("calculateMd5() has not been implemented.");
  }

  initialize(String endpoint, String bucket, OSSCredentialProvider provider) {
    throw UnimplementedError('init() has not been implemented.');
  }

  upload(String fileName, String filePath, String objectKey, String uuid) {
    throw UnimplementedError('upload() has not been implemented.');
  }

  Future<String?> cancelUpload(String uuid, {bool delete = false}) {
    throw UnimplementedError('cancelUpload() has not been implemented.');
  }

  String addUploadMethodCallListener(UploadMethodCallListener listener) {
    throw UnimplementedError(
        'addUploadMethodCallListener() has not been implemented.');
  }

  void removeUploadMethodCallListener({String? id, bool removeAll = false}) {
    throw UnimplementedError(
        'removeUploadMethodCallListener() has not been implemented.');
  }
}
