import 'package:json_annotation/json_annotation.dart';

import 'oss_credential_provider.dart';

part 'oss_plain_text_credential_provider.g.dart';

@JsonSerializable()
class OSSPlainTextCredentialProvider implements OSSCredentialProvider {
  final String accessKeyId;
  final String secretKeyId;
  final String? securityToken;

  OSSPlainTextCredentialProvider({
    required this.accessKeyId,
    required this.secretKeyId,
    this.securityToken,
  });

  @override
  Map<String, dynamic> toJson() => _$OSSPlainTextCredentialProviderToJson(this);
}
